.\"	$Id$
.TH A2AC 1 "4. unora 1998"
.nh
.SH NAZEV
a2ac \- uprava AFM souboru, vytvareni kompozitnich znaku a kerningu
.SH POUZITI
.B a2ac \fIinput.afm\fP \fIcorr.tab\fP \fIoutput.afm\fP
.SH POPIS
Program
.B a2ac
(Afm To Afm add Composites) konvertuje AFM soubory (Adobe
Font Metrics) na nove soubory rovnez ve formatu AFM.
Program pritom nacita soubor \fIcorr.tab\fP,
v nemz se definuje, jake zmeny se maji v \fIinput.afm\fP provest (tyto zmeny
se ulozi do souboru \fIoutput.afm\fP).
Program predevsim pridava nove kompozitni znaky a
rozsiruje tabulku kerningu o nove kerningove udaje podle jistych masek.
.PP
V souboru \fI@LIBDIR@/cscorr.tab\fP se nachazeji definice
korekci, pomoci nichz lze vytvorit font se znaky ceske a slovenske abecedy
a vhodny kerning. Pri pouziti tohoto souboru se pouze vyzaduje,
aby vstupni AFM soubor obsahoval vsechny
akcenty pro ceske a slovenske znaky, coz splnuji napriklad vsechny standardni
Adobe fonty. Vystupem je AFM soubor, obsahujici navic kompozitni znaky z ceske
abecedy a rozsireny kerning. Takto upraveny font je pouzitelny napriklad
v TeXu.
.SH PRIKLAD
Pro vytvoreni a zarazeni noveho fontu do TeXu je mozno pouzit
davku \fB@LIBDIR@/mkfnt\fP.
Rucne se zarazeni provede nasledujicim postupem (pro priklad \fIfont.afm\fP):
.PP
1) \fBa2ac\fP \fIfont.afm\fP \fIcscorr.tab\fP \fIfont8z.afm\fP
.br
Vytvori se metrika \fIfont8z.afm\fP se vsemi akcentovanymi znaky.
.PP
2) \fBafm2tfm\fP \fIfont8z.afm\fP \fB\-t\fP \fIxil2.enc\fP
\fB\-v\fP \fIfont8z.vpl\fP \fIrfont.tfm\fP
.br
Vytvori se metrika \fIrfont.tfm\fP (potrebna pro dalsi manipulace
s programem dvips) a virtualni popis \fIfont8z.vpl\fP kodovany podle
souboru \fIxil2.enc\fP.
.PP
3) \fBvptovf\fP \fIfont8z.vpl\fP \fIfont8z.vf\fP \fIfont8z.tfm\fP
.br
Vytvori se metrika vhodna pro TeX (\fIfont8z.tfm\fP) a virtualni popis
\fIfont8z.vf\fP pro ovladac dvips.
.PP
4)
Obe tfm metriky (\fIfont8z.tfm\fP a \fIrfont.tfm\fP) ulozime do adresare
s metrikami a soubor \fIfont8z.vf\fP ulozime do adresare,
kde jej cte dvips.
Do konfiguracniho souboru pro dvips s nazvem \fIpsfonts.map\fP pridame radek:
.br
.B rfont Uplny\-Nazev\-PS\-Fontu
.br
Pokud font neni zaveden do tiskarny a mame tedy od nej soubor typu
PFB, pak novy radek v \fIpsfonts.map\fP bude mit tvar:
.br
.B rfont Uplny\-Nazev\-PS\-Fontu </cesta/soubor.pfb
.br
nebo v DOSu:
.br
\fBrfont Uplny\-Nazev\-PS\-Fontu <disk:\\cesta\\soubor.pfb\fP
.PP
5)
V TeXovem souboru zavedeme font beznym zpusobem:
.br
\fB\\font\\muj=font8z {\\muj Tady je text v novem fontu.}\fP
.br
Po zpracovani TeXem a ovladacem dvips mame text vysazeny prislusnym fontem.
.SH SOUBORY
.PD 0
.TP
.I @BINDIR@/a2ac
spustitelny program
.TP
.I @MANDIR@/a2ac.@MANEXT@
manualova stranka
.TP
.I @LIBDIR@/a2ac\-cz.txt
.TP
.I @LIBDIR@/a2ac\-eng.txt
dokumentace k programu v cestine a v anglictine
.TP
.I @LIBDIR@/cscorr.tab
definicni soubor pro upravu AFM
.TP
.I @LIBDIR@/mkfnt
davka umoznujici automaticke generovani upravenych souboru AFM
.TP
.I @LIBDIR@/mkallfnt
davka generujici upravene AFM soubory pro 32 beznych fontu
.TP
.I @LIBDIR@/xl2.enc
.TP
.I @LIBDIR@/xt2.enc
soubory definujici kodovani vysledneho fontu
.TP
.I @LIBDIR@/test8z.tex
testovaci soubor
.PD
.SH AUTOR
Petr Olsak <olsak@math.feld.cvut.cz>. Tuto manualovou stranku a soubor Makefile
pripravil Rudolf Cejka.
